ur_rna.Utilities

## Class Tuple.Pair<T1,T2>

- java.lang.Object
- - ur_rna.Utilities.Tuple.Pair<T1,T2>

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    Tuple

      public static final class Tuple.Pair<T1,T2>
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T1` | `item1`
    `T2` | `item2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair()`
    `Pair(T1 item1, T2 item2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Tuple.Pair<T1,T2>` | `clone()`
    `static <T1 extends java.lang.Comparable<? super T1>,T2 extends java.lang.Comparable<? super T2>> java.util.Comparator<Tuple.Pair<? extends T1,? extends T2>>` | `compareBothItems()`
    `static <T extends java.lang.Comparable<? super T>> java.util.Comparator<Tuple.Pair<? extends T,?>>` | `compareFirstItem()`
    `boolean` | `itemsEqual(Tuple.Pair<T1,T2> obj)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### item1

          public T1 item1

    - #### item2

          public T2 item2

  - ### Constructor Detail

    - #### Pair

          public Pair()

    - #### Pair

          public Pair(T1 item1,
                      T2 item2)

  - ### Method Detail

    - #### clone

          protected Tuple.Pair<T1,T2> clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### compareBothItems

          public static <T1 extends java.lang.Comparable<? super T1>,T2 extends java.lang.Comparable<? super T2>> java.util.Comparator<Tuple.Pair<? extends T1,? extends T2>> compareBothItems()

    - #### compareFirstItem

          public static <T extends java.lang.Comparable<? super T>> java.util.Comparator<Tuple.Pair<? extends T,?>> compareFirstItem()

    - #### itemsEqual

          public boolean itemsEqual(Tuple.Pair<T1,T2> obj)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`